From 8a3b00c442b53a20a29c2e0c94272c66e31dd253 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Mon, 30 Mar 2020 20:17:04 +0800
Subject: [PATCH 14/77] virsh_save_image: fix error for new xml is too large

Modified virsh_save_image_define.py and virsh_save_image_edit.py:
virsh save-image-define and virsh save-image-edit interface needs to
compare XML length. The current default configuration will lead to failure
new xml too large to fit in file. Replace different places to make sure new
xml not too large than the old.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 .../tests/src/virsh_cmd/domain/virsh_save_image_define.py   | 6 +++---
 libvirt/tests/src/virsh_cmd/domain/virsh_save_image_edit.py | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_define.py b/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_define.py
index 71817a49..03b13b87 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_define.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_define.py
@@ -53,7 +53,7 @@ def run(test, params, env):
 
         # The xml should contain the match_string
         xml = cmd_result.stdout.strip()
-        match_string = "<boot dev='cdrom'/>"
+        match_string = "<on_crash>destroy</on_crash>"
         if not re.search(match_string, xml):
             raise exceptions.TestFail("After domain restore, "
                                       "the xml is not expected")
@@ -82,8 +82,8 @@ def run(test, params, env):
 
         xml = get_image_xml()
 
-        # Replace <boot dev='hd'/> to <boot dev='cdrom'/>
-        newxml = xml.replace("<boot dev='hd'/>", "<boot dev='cdrom'/>")
+        # Replace <on_crash>restart</on_crash> to <on_crash>destroy</on_crash>
+        newxml = xml.replace("<on_crash>restart</on_crash>", "<on_crash>destroy</on_crash>")
         logging.debug("After string replacement, the new xml is %s", newxml)
 
         # Write new xml into a tempfile
diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_edit.py b/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_edit.py
index db181bcc..25653193 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_edit.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_edit.py
@@ -21,7 +21,7 @@ def run(test, params, env):
     """
 
     def edit_image_xml():
-        edit_cmd = r":%s /<boot dev='hd'\/>/<boot dev='cdrom'\/>"
+        edit_cmd = r":%s /<on_crash>restart/<on_crash>destroy"
 
         if restore_state == "running":
             option = "--running"
@@ -39,7 +39,7 @@ def run(test, params, env):
             session.sendline("virsh save-image-edit %s %s " %
                              (vm_save, option))
 
-            logging.info("Replace '<boot dev='hd'/>' to '<boot dev='cdrom'/>'")
+            logging.info("Replace '<on_crash>restart' to '<on_crash>destroy'")
             session.sendline(edit_cmd)
             session.send('\x1b')
             session.send('ZZ')
@@ -59,7 +59,7 @@ def run(test, params, env):
 
         # The xml should contain the match_string
         xml = cmd_result.stdout.strip()
-        match_string = "<boot dev='cdrom'/>"
+        match_string = "<on_crash>destroy</on_crash>"
         if not re.search(match_string, xml):
             test.fail("After domain restore the xml is not expected")
 
-- 
2.23.0

